package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.DistrictInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.DistrictInfoMapper")
public interface DistrictInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(DistrictInfo record);

    DistrictInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DistrictInfo record);

    List<DistrictInfo> queryAllDistrictInfo(DistrictInfo record);

    List<DistrictInfo> queryDistrictInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    DistrictInfo queryDistrictInfo(DistrictInfo record);

    List<DistrictInfo> query(DistrictInfo record);
}

